Bug 1207180 (CVE-2015-2782)

Summary: CVE-2015-2782 arj: free on invalid pointer due to to buffer overflow
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ago, carnil, lyos.gemininorezel, redhat-bugzilla
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-10 20:35:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1207181, 1207182    
Bug Blocks:    

Description Vasyl Kaigorodov 2015-03-30 11:51:31 UTC
It was reported that arj is crashing on a crafted ARJ file due to free() call on an invalid pointer:

https://bugs.debian.org/774015#11

CVE assignment: http://seclists.org/oss-sec/2015/q1/1035
Patch: http://git.hadrons.org/gitweb/?p=debian/pkgs/arj.git;a=blob_plain;f=debian/patches/security-afl.patch

Comment 1 Vasyl Kaigorodov 2015-03-30 11:51:55 UTC
Created arj tracking bugs for this issue:

Affects: fedora-all [bug 1207181]
Affects: epel-all [bug 1207182]

Comment 2 Agostino Sarubbo 2015-03-30 12:22:29 UTC
this bug points to the same debian bts link in bug 1196751, so maybe is a duplicate.

Comment 3 Robert Scheck 2015-04-03 13:45:54 UTC
Yes, this is a duplicate.

Comment 4 Fedora Update System 2015-04-10 07:27:41 UTC
arj-3.10.22-22.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-04-20 18:36:36 UTC
arj-3.10.22-22.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-04-20 18:39:12 UTC
arj-3.10.22-22.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-04-20 18:39:23 UTC
arj-3.10.22-22.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-04-21 18:34:14 UTC
arj-3.10.22-22.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.